Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.sql
Class SDBConnectionDesc

    java.lang.Object
      com.hp.hpl.jena.sdb.sql.SDBConnectionDesc

    public class SDBConnectionDesc

extends Object

Field Summary
`String` | `rdbType`

Method Summary
`static SDBConnectionDesc` | `blank()`
`String` | `getDriver()`
`String` | `getHost()`
`String` | `getJdbcURL()`
`String` | `getLabel()`
`String` | `getName()`
`String` | `getPassword()`
`int` | `getPoolSize()`
`String` | `getRdbType()`
`String` | `getType()`
`String` | `getUser()`
`static SDBConnectionDesc` | `none()`
`static SDBConnectionDesc` | `read(com.hp.hpl.jena.rdf.model.Model m)`
`static SDBConnectionDesc` | `read(String filename)`
`void` | `setDriver(String driver)`
`void` | `setHost(String host)`
`void` | `setJdbcURL(String jdbcURL)`
`void` | `setLabel(String label)`
`void` | `setName(String name)`
`void` | `setPassword(String password)`
`void` | `setPoolSize(int size)`
`void` | `setPoolSize(String str)`
`void` | `setRdbType(String rdbType)`
`void` | `setType(String type)`
`void` | `setUser(String user)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rdbType

    public String rdbType

Method Detail

### blank

    public static SDBConnectionDesc blank()

### none

    public static SDBConnectionDesc none()

### read

    public static SDBConnectionDesc read(String filename)

### read

    public static SDBConnectionDesc read(com.hp.hpl.jena.rdf.model.Model m)

### getDriver

    public String getDriver()

### setDriver

    public void setDriver(String driver)

### getHost

    public String getHost()

### setHost

    public void setHost(String host)

### getJdbcURL

    public String getJdbcURL()

### setJdbcURL

    public void setJdbcURL(String jdbcURL)

### getLabel

    public String getLabel()

### setLabel

    public void setLabel(String label)

### getPoolSize

    public int getPoolSize()

### setPoolSize

    public void setPoolSize(int size)

### setPoolSize

    public void setPoolSize(String str)

### getName

    public String getName()

### setName

    public void setName(String name)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getRdbType

    public String getRdbType()

### setRdbType

    public void setRdbType(String rdbType)

### getType

    public String getType()

### setType

    public void setType(String type)

### getUser

    public String getUser()

### setUser

    public void setUser(String user)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.